Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD ObjectARX und .NET
  Benutzerdefinierte Zeichnungseigenschaften

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Benutzerdefinierte Zeichnungseigenschaften (442 mal gelesen)
Fiedel93felix
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Fiedel93felix an!   Senden Sie eine Private Message an Fiedel93felix  Schreiben Sie einen Gästebucheintrag für Fiedel93felix

Beiträge: 434
Registriert: 19.02.2014

Autodesk Inventor 2017
AutoCAD Mechanical 2017
Microsoft Visual Basic 2010

erstellt am: 08. Dez. 2016 15:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo miteinander,

ich möchte benutzerdefinierte Zeichnungseigenschaften auslesen bzw ändern aber so richtig funktioniert das nicht.

Ich habe mir ein Programm geschrieben das eine Userform öffnet.
Auf dieser soll der Inhalt einer Zeichnungseigenschaft in einer Textbox angezeigt werden.
Aber so richtig will das nicht funktionieren.

Code:

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry

Public Class UserformTest

    <CommandMethod("Userform")> Public Sub Userform()


        Dim tFormObj As Form1 = New Form1
        tFormObj.ShowDialog()


    End Sub

End Class


Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.ApplicationServices

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Try
            Dim oDrawDoc As Autodesk.AutoCAD.DatabaseServices.Database
            oDrawDoc = Application.DocumentManager.MdiActiveDocument.Database

            Dim key As String
            key = "TestVariable"
            TextBox1.Text = oDrawDoc.SummaryInfo.CustomProperties.Key(key)
           
        Catch ex As Exception
            MsgBox("Fehler")
        End Try

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs)

    End Sub

End Class


Bei """ TextBox1.Text = oDrawDoc.SummaryInfo.CustomProperties.Key(key) """ fliegt er raus.
Nichtmal die Try-Catch-Abfrage erkennt das dort ein Fehler kommt...

Hat jemand eine Idee wie ich den Code anpassen muss, dass das Programm funktioniert?

------------------
----------------------------------
Mit freundlichen Grüßen

Felix

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedel93felix
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Fiedel93felix an!   Senden Sie eine Private Message an Fiedel93felix  Schreiben Sie einen Gästebucheintrag für Fiedel93felix

Beiträge: 434
Registriert: 19.02.2014

Autodesk Inventor 2017
AutoCAD Mechanical 2017
Microsoft Visual Basic 2010

erstellt am: 12. Dez. 2016 09:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Also ich habe jetzt das Problem am Wochenende lösen können.
So funktioniert es.
Code:

        Dim oDoc As Document = Application.DocumentManager.MdiActiveDocument
        Dim builder As DatabaseSummaryInfoBuilder = New DatabaseSummaryInfoBuilder(oDoc.Database.SummaryInfo)

        'Inhalt einer bestimmten benutzerdefinierten Zeichnungseigenschaft(muss bereits angelegt sein sonst wird "" zurückgegeben, keine Fehlermeldung)
        Textbox1.Text = builder.CustomPropertyTable.Item("TestProp"))

        'Autor ändern
        builder.Author = "Ich"

        'b.Zeichnungseigenschaft ändern(wenn es nicht vorhanden ist wird es erstellt)
        builder.CustomPropertyTable.Item("TestProp") = "Geändert"

        'neue b.Zeichnungseigenschaft erstellen (darf nicht vorhanden sein, besser Variante darüber verwenden)
        builder.CustomPropertyTable.Add("TestProp2", "Nummer2")

        'Wichtig: wird benötigt um die Änderungen einzulesen
        oDoc.Database.SummaryInfo = builder.ToDatabaseSummaryInfo()


------------------
----------------------------------
Mit freundlichen Grüßen

Felix

[Diese Nachricht wurde von Fiedel93felix am 12. Dez. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz